org.bdgenomics.adam.rdd.read

# BAMInFormatter

###
Related Docs: class BAMInFormatter | package read

#### object BAMInFormatter extends AnySAMInFormatterCompanion[BAMInFormatter] with Serializable

InFormatter companion for building an InFormatter that streams BAM.

Linear Supertypes
Serializable, Serializable, AnySAMInFormatterCompanion[BAMInFormatter], InFormatterCompanion[AlignmentRecord, AlignmentRecord, AlignmentRecordRDD, BAMInFormatter], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BAMInFormatter
2. Serializable
3. Serializable
4. AnySAMInFormatterCompanion
5. InFormatterCompanion
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(gRdd: AlignmentRecordRDD): BAMInFormatter

   Makes an AnySAMInFormatter from a GenomicRDD of AlignmentRecords.

   Makes an AnySAMInFormatter from a GenomicRDD of AlignmentRecords.

   gRdd

     AlignmentRecordRDD with reference build and record group info.

   returns

     Returns an InFormatter that extends AnySAMInFormatter.

   Definition Classes
     AnySAMInFormatterCompanion → InFormatterCompanion

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### def makeFormatter(header: SAMFileHeaderWritable, recordGroups: RecordGroupDictionary, converter: AlignmentRecordConverter): BAMInFormatter

    Attributes
      protected
    Definition Classes
      BAMInFormatter → AnySAMInFormatterCompanion

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### def toString(): String

    Definition Classes
      AnyRef → Any

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnySAMInFormatterCompanion[BAMInFormatter]

### Inherited from InFormatterCompanion[AlignmentRecord, AlignmentRecord, AlignmentRecordRDD, BAMInFormatter]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped